# On/Off-Ramps

We have opened access to our On/Off-Ramps Buy/Sell Crypto routing service, offering a clean and user-friendly one-stop assets transaction dashboard.\
Developers can easily integrate the Buy/Sell Crypto flow via an `iframe`, and monitor real-time transaction logs at: <https://coindpay.xyz/scan>

***

**Buy Crypto**

<https://coindpay.xyz/wallet?crypto=buy>

<table><thead><tr><th width="275.8980712890625">Parameter</th><th>Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td><code>crypto</code></td><td><code>string*</code></td><td><code>buy</code>  or  <code>sell</code></td><td>Required. <br>Enables buy or sell crypto mode.</td></tr><tr><td><code>appid</code></td><td><code>string*</code></td><td><code>6787***816de</code></td><td>Your unique merchant Id<br>claim <a href="https://coindpay.xyz/account">account</a><br>Only KYB-verified appid can receive <code>webhooks</code> push.</td></tr><tr><td><code>merchant_transaction_id</code></td><td><kbd>string?</kbd></td><td><a data-mention href="/pages/YDXHM7aKp9sJhJZB7ZjT#url-parameters">/pages/YDXHM7aKp9sJhJZB7ZjT#url-parameters</a></td><td><kbd>merchant_transaction_id=xxx123</kbd></td></tr><tr><td><code>fiatCurrency</code></td><td><code>string?</code></td><td><code>EUR</code>, <code>USD</code>, <code>JPY</code></td><td>Optional. The fiat currency code the user wants to pay with (ISO format).<br><a data-mention href="/pages/r67FarAduWyVbyLS4OK5">/pages/r67FarAduWyVbyLS4OK5</a><br></td></tr><tr><td><code>fiatAmount</code></td><td><code>number?</code></td><td><code>100</code></td><td>Optional. Buy/Sell amount in the supported fiat or crypto currency format.<br><mark style="background-color:purple;"><strong>Lmimits #</strong></mark><a data-mention href="/pages/r67FarAduWyVbyLS4OK5">/pages/r67FarAduWyVbyLS4OK5</a></td></tr><tr><td><code>cryptoToken</code></td><td><code>string?</code></td><td><code>usdc</code>, <code>eth</code>, <code>btc</code></td><td>Optional. The crypto asset the user wants to buy or sell.</td></tr><tr><td><code>address</code></td><td><code>string?</code></td><td>'0xxxxx'</td><td>Optional. The wallet address used to receive the crypto you purchase, or to transfer funds when you sell crypto.</td></tr></tbody></table>

EUR as fiat, buy `SOL` token

<https://coindpay.xyz/wallet?crypto=buy&fiatCurrency=EUR&fiatAmount=100&cryptoToken=SOL>

USD as fiat, sell `USDC`&#x20;

<https://coindpay.xyz/wallet?crypto=sell&fiatCurrency=USD&fiatAmount=100&cryptoToken=USDC>

***

**Sell Crypto**

<https://coindpay.xyz/wallet?crypto=sell>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coindpay.xyz/landing/start/developers/on-off-ramps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
